#include <iostream>

using namespace std;

int main() {
    int N, L;
    int i = 1;
    cin >> N >> L;

    for (; N >= i;) {
        int H;
        cin >> H;
        if (L >= H) {
            cout << i ;
            return 0;
        }
        i = i + 1;
    }

    cout << -1 << endl;
    return 0;
}